.TH VSPLIT 1
.SH NAME
vsplit \- splits up VHDL source files so that there is only one design
unit per file
.SH SYNOPSIS
.I vsplit
[ options ] file1 [file2 ...]
.SH DESCRIPTION
.I vsplit
splits up VHDL source files containing one or more design units into
separate files so that there is only one design unit per file.  Vsplit
conforms to the following naming conventions.  Entities are put into
"<ent>_.vhd".  Architectures are put into "<ent>_<arch>.vhd".  
Configurations go into "<cnfg>_<ent>.vhd".  Packages are put into
"<pkg>_.vhd", and package bodies are put into "<pkg>.vhd".  Note that
<ent> refers to entity name, <arch> refers to architecture name, etc.

After the contents of the source file is split into mutltiple other
files, the source file itself is moved to ".old_<name>".  If you do
not want to change the source file's name, specify option -n.
.SH OPTIONS
.IP -i
The interactive option is usefull if the user wishes vsplit to
first identify what files are going to be created before splitting
up the soure files.  The user is then prompted to see if he wants
to do the split as indicated.
.IP -v
The verbose option is used to show what files are being created,
as vsplit creates them.  If not used, vsplit runs silently.
.IP -d directory
This option is used to indicate to vsplit to put the new files into
the indicated directory.  NOTE that this option implies -n.
been implemented.
.IP -n
If you don't want the source file moved to ".old_<name>", specify
this option.
.SH BUGS
.SH "AUTHOR"
.nf
Original program written by
    Himanshu M. Thaker
.fi
